Introducing 1-4-All

Thanks for trying the 1-4-All HTML editor. Let me know what feature you are missing or if you found bugs in the current release. I will add the most wanted features in the following versions.

How to contact the author?

Table of Contents

The Basics (this is your MUST read)

Features of the 1-4-All HTML editor

The Main Window

The Button Bar

The Preferences Dialog

The Tag Wizard

The JavaScripts

The Table Editor

The Frame Wizard

Multiple File search/replace tool

The file dependency lister

The Spelling Checker

How to register?

Disclaimer, License

Fixes, major enhancements, known bugs and issues of the current version

The legal stuff:

Netscape is a registered trademark of Netscape Communications Corp. (http://www.netscape.com.)

Microsoft, Windows, Windows95 and Internet Explorer are either registered trademarks or trademarks of Microsoft Corp. (http://www.microsoft.com) in the United States and/or other countries.


The Tag Wizard

The Tag Wizard gives you easy access to all tags and their attributes and shows you which tags and attributes are supported by Netscape Navigator and Internet Explorer.

To start the Tag Wizard select 'More Tags|Tag Wizard...' from the main menu or

hit CTRL-T.

To build a tag just double-click on the tags and attributes, insert the values for the attributes and click the insert button.


The Spelling Checker

Click on any region to get an explanation.

To change the standard dictionary or other options, open the Preferences Dialog on the Main Menu of 1-4-All.


Generates a list of suggestions for the misspelled word.


Generates a list of suggestions for the replacement word.


The suggestion list. Click on a word to select it as the replacement word.


The misspelled word, or better to say the word not found in the dictionary.


The replacement word for the misspelled word.


Tells the spelling checker to ignore this occurrence of the misspelled word. The misspelled word won't be changed.


Tells the spelling checker to ignore this and all further occurrences of the misspelled word. The misspelled word won't be changed and further occurrences of this word will be ignored.


Tells the spelling checker to replace this occurrence of the misspelled word with the replacement word.


Tells the spelling checker to replace this and all further occurrences of the misspelled word with the replacement word. All further occurrences of this word will be changed automatically without further notice.


Opens this page of the helpfile.


Cancel the spell checking process.


Click on any region of the main window to get an explanation.


The button toolbar

The button bar is the place where you can find buttons for the most important tags. Some buttons just insert a tag, e.g. the 'B' button inserts the bold tag <B>...</B> in the current document, other buttons open a dialog for to set the attributes for a tag, e.g. the link button.

You can undock the button bar by selecting 'undock toolbar' from the right-click menu.

For information on the function of each button please refer to the popup hint.

The last tab lets you setup 15 custom tags. Just open the setup dialog by clicking the button on the far right of that tab page and type in the button title, the start and the end tag for each button.


The basics of using 1-4-All

Please take the time to read this section! It will help you using 1-4-All correctly.

(Make sure you browse through the 'Tips of the day' that show up on program startup in addition to reading these basics.)

-Do not use file or directory names with spaces. 1-4-All supports long filenames, but it will have problems with filename like 'my image.gif' or directories like 'html images'.

-If you use a function in the editor, it often is important if you selected some text before. For example, most of the “easy” tags, like <B>...</B> will only be inserted correctly, if you selected text before.

    Example: Selecting a text region in the edit window and pressing the Bold Face button.

 	Presenting 1-4-All. A  HTML editor that satisfies all your HTML authoring needs.

Presenting <B>1-4-All</B>. A  HTML editor that satisfies all your HTML authoring needs.

-To create a link to another HTML document or a complete image tag, just find the HTML document you want to link or the picture in the File Viewer on the left side of the window, select it and drag and drop it onto to the edit window. The full HTML code will be inserted at the previous position of the caret.

-Only files with extensions given in the preference dialog are shown in the File Viewer on the left side of the main window. Use File|Preferences|Additional options to add or delete extensions.

-Double clicking on a file in the File Viewer opens the file. If the clicked file is an image file, the image will be shown.

-If you chose ‘Relative Filepaths’ in the Preference dialog, all linked HTML, image or other files will be linked with their relative paths to the currently opened document.

Example:

 	You are editing the File: C:\MyHtml\Homepage\index.html

You add a link to the file: C:\MyHtml\Homepage\Hobbies\Sailing\index.html

1-4-All will automatically insert the relative paths to your file:

<A HREF="/Hobbies/Sailing/index.html">...</A>


The preferences dialog

Editor options:

Paths in HTML code: Determents if  linked files (HTML, image, multimedia files)

are inserted with their relative path to the current HTML document, with their absolute path or with no path at all.

Edit options: These wordwrap option lets you decide if you want the Editor to automatically wrap lines that are longer then the edit window (never use wordwrap when working with documents that include JavaScripts).

 The second option determents if all slashes in filepaths should be converted to Unix style slashes.

 Finally, the setting of the last option tells 1-4-All if you want to convert extended characters, like umlaut-characters to be converted to their HTML equivalents (e.g. 'ü' to '&Uuml;' ).

Color coding: This box lets you enable color coding and set the colors for HTML code, normal text and comments.

Font/Color: Lets you set the font used in the edit window and the background color of the edit and fileviewer window.

Additional options:

Extensions: Shows you the file extensions of files that are considered HTML

documents and multimedia files. These files are shown in the File Viewer on the

left side of the main window of 1-4-All and can be edited or viewed with the

program.

To add an extension to the list, type it in and press the Add button. To delete an

extension from the list, select the extension and press the Delete button.

Please notice, that adding e.g. the extension htm will also show all

files with the extension html.

Autosave before browsing: If you want 1-4-All to save all open documents before

viewing them in an external browser, check this option.

Backup: This box lets you activate the automatic backup function and

set the backup interval. Backup files are saved as ‘filename.bak’.

If enabled you will be asked if the backup files should be deleted after each

session.

NT3.5/3.51: Some users have reported that the 1-4-All edit window is truncated

under NT 3.5/3.51. If you experience this bug, try to enable this option and restart

1-4-All.

Directories:

HTML-Homedirectory: Specify the directory you would like the File Viewer to be in

on program startup here.

Netscape Navigator Directory: Specify the directory of the Netscape Navigator

executable here. This is a needed information to start Netscape as the external

HTML viewer in 1-4-All. *

Internet Explorer Directory: Specify the directory of the Internet Explorer

executable here. This is a needed information to start IE as the external HTML

viewer in 1-4-All. *

(* Hint: You can start the default external browser by clicking on the 'External HTML Viewer button. Right clicking will open the secondary external browser. You can decide which browser is the default and the secondary browser with the radio buttons below the browsers paths.)

External HTML Helpfile: Enter the filename with full path to your favorite HTML help file here. You can then startup this file by hitting F2.

The help file you specify can be in any file format.

If you are in need of a good HTML help file, I recommend the ‘HTML Reference Library for Windows 95’ available at the Tucows Software Archive:

http://tucows.myriad.net/htmlacc95.html#library

Default HTML template: Specify the path to the HTML document here, that you would like 1-4-All to use as a template for new documents.

Application Launcher:

1-4-All lets you launch up to four other applications from within the program. Set the path to the executables and the program titles in the preference dialog and decide if you want to 1-4-All to start these applications automatically every time

1-4-All is started.

You can also start these applications later, by choosing Tools|Application Launcher from the main menu.

Spelling checker:

The first drop-down box lets you pick the standard dictionary used in 1-4-All. The

application comes with the American standard dictionary 'american.vtd'.

Dictionaries for French, German and Italian are available at the 1-4-All Homepage

at http://ourworld.compuserve.com/homepages/minibbjd/download.htm.

If you change the standard dictionary in the Preferences dialog, you have to

restart 1-4-All to apply this change.

You can decide if you want 1-4-All to ignore e-mail addresses and links by

checking the next two checkboxes.

The last option on this page determents if 1-4-All should convert extended

characters before and after the spelling check. With this option checked the words 'Marcus M&ouml;nnig' will be converted to 'Marcus Mönnig' before spell checking and back to 'Marcus M&ouml;nnig' after the spell checking is completed.


 Opens an existing file.


Saves the current file. This button is only enabled if the current file has been changed.


Opens a new HTML document.


Prints the current file on the current printer.

If you would like to select another printer first,

chose File|Print... .


The button bar. See the button bar page and the popup hint for details about the function of the different buttons.


Searches for a search string.


The tabs let you switch between opened HTML documents.


Replaces one string for another.


Idents the current line.


Unidents the current line.


Changes the edit window size, turns on/off the button panel at the top of the main window.


Changes the edit window size, turns on/off the file viewer on the left side of the window.


Starts the default external WWW-Browser and loads the current document into it. The path to the browsers executable has to be set in the Preference dialog first (chose

File|Preferences...|Directories). You can start the secondary external browser by right clicking on this button.


Toggles between the edit window and the internal HTML preview.


Lets you select the current drive of the file viewer.


Lets you select the current directory of the file viewer.


Shows you the files in the current directory.  Only files with extensions given in the Preference dialog are shown here. Chose File|Preferences...|Additional options  to add or delete extensions. This item has a right click menu.


The title bar. It shows the currently opened file.


The edit window. In this main window of the program you write or 1-4-All inserts your HTML code. This is also the place the internal HTML preview is shown in. This item has a right click menu.


Gives you the current position of the cursor caret in columns and rows.


Shows you the current edit status: Insert or Overwrite.


Shows you the time the current file was last saved.


Version 1.0:

Major enhancements, Minor changes:

-Added a spelling checker.

-Replaced the internal HTML Viewer with a more sophisticated one.

-Changed all color pickers/selection dialogs.

-Changed all default filenames to 8.3 style.

-Added a dialog for the <BASEFONT> tag. An existing basefont tag is editable through the

standard dialog.

-Added a dialog for a 'mailto:' link. An existing 'mailto:' link is editable through the

standard dialog.

-Added an option to save all open files before browsing them in an external viewer.

-Added 'Export to Unix...' tool, that saves the current file with Unix style line feeds.

-All files deleted in 1-4-All are now sent to the recycle bin.

-Added color coding for comments (<!--..-->). Most useful for documents with scripts.

-Added 4 Javascripts, a detour page generation tool and the possibility to add your own scripts.

-1-4-All now uses InstallShield for installation, due to some rare cases of errors during setup.

-On first start 1-4-All automatically retrieves the paths of Netscape Navigator and Internet Explorer.

-I had to remove the support for tiff encoded images in the internal image viewer for legal reasons.

Fixes:

-Fixed a bug in the table dialog that didn't properly managed IE cell attributes.

-Fixed the dependency lister, that now works with unquoted links.

-Fixed a bunch  of other, mostly cosmetic bugs.

Version 0.93:

Major enhancements, Minor changes:

-Added a MDI interface. You can now edit multiple files at the same time.

-Added support for Internet Explorer as external HTML viewer.

-Added a Tag Wizard that lets you create tags and their attributes by double clicking.

-Added a 'Tip of the day' window.

-Changed the filelistbox to Windows 95 style.

-Added support for multimedia files for use with the embed tag.

-You can now undock the button toolbar to a floating toolbar.

-You can now edit the following existing tags: <TITLE>, <BODY>, <A HREF>, <A NAME>, <IMG>,

  <FONT>, <FORM>;

 (Attribute values don't have to be quoted any more, so e.g. BORDER=0 and BORDER="0" will both

 work fine when editing existing tags.)

-The internal image viewer now supports the following image formats: ART, BMP, CUT, DIB, EMF, GEM, GIF, HRZ, IFF, IMG, JPG, LBM, MAC, MSP, PCX, PIC, PNG, RAS, RLE, TGA, TIF, WMF, WPG

(but that doesn't mean that the user viewing your HTML page has the appropriate plug-in for all these image formats... ;-) )

-Updated all tags and attributes, especially the <A HREF>, the table and frame tags.

-Evaluation is now limited to 70 starts of the program.

-Lots of cosmetic changes.

-On- and offline registration with all major credit cards is offered now.

Fixes

-Added a patch option in the preferences dialog for NT users.

Version 0.92:

Major enhancements, Minor changes:

-The default HTML tags (<HTML>, <BODY>, etc.) are inserted automatically in new files.

-Added ‘Redo color coding’ function

-Added ‘Copy’, ‘Paste’, ‘External HTML preview’, ‘Internal HTML preview’ and ‘Redo color coding’

 to right-click editor menu.

-Added right click-menu to the internal HTML previewer (you can now leave the previewer by

hitting Escape or using the right-click menu).

-The external helpfile can now be in any file format (a valid windows *.hlp file is recommended

though).

-Updated (rewrote in fact) the 1-4-All help file.

-Added application launcher.

-Added right-click menu for the image previewer.

-Added full-size preview of image files.

-Added Insert/Overwrite status information to the status line.

-Changed the ‘Quickstart’ dialog to ‘Main Attributes’ dialog. You can now change the main

attributes (e.g. BGCOLOR, LINK, VLINK, etc.) at all times, without re-inserting these information. 1-4-All will overwrite the old values instead.

-Added a Windows 95 style uninstall option.

-some other small changes...

Known bugs and issues

-The Undo function still doesn’t work right if color coding is enabled.

Fixes

-Fixed another bug in the install program.

Version 0.91:

Known bugs and issues

-The 1-4-All helpfile is more than incomplete.

Fixes

-Version 0.90 had a bug that made it impossible to install on most computers.


How to reach the author?

You can reach me at:

Internet: minibbjd@cs.tu-berlin.de

CompuServe: 106142,3255

World Wide Web: http://ourworld.compuserve.com/homepages/minibbjd


Disclaimer

The author of this program accepts no responsibility for damages resulting

from the use of this product and makes no warranty or representation, either

express or implied, including but not limited to, any implied warranty of

merchantability or fitness for a particular purpose. This software is

provided "AS IS", and you, its user, assume all risks when using it.

License

You are hereby licensed to: use the Shareware Version of this software for a

30 day evaluation period; make as many copies of the Shareware version of

this software and documentation as you wish; give complete and exact copies

of this Shareware version of the software and documentation in its unmodified

form via electronic means. There is no charge for any of the above.

Copies of 1-4-All may be distributed without charge or further permission

from the author provided that exact copies of the Shareware version are

distributed.

Evaluation and further use of the software

This is not free software. The license allows you to use this software for

evaluation purposes without charge for a period of 30 (thirty) days. If you

want to use this software after the 30 day evaluation period you have to

register. Please read the registration section in the help file for

information how to do so.

Copies of the shareware version of 1-4-All may be distributed without charge

provided that it is distributed complete and unmodified.

You may not disassemble, decompose, reverse engineer, or alter any of the

files in the package.

This software is provided as shareware and cannot be sold. This software can

not be bundled with any commercial package or distributed by itself or

accompanying books or magazines without express written permission from the

author.


Features of the 1-4-All HTML editor

Drag and Drop support

Lets you create link and image HTML code on the fly.

Internal and external HTML preview

1-4-All has a built in HTML Viewer. Further you can send the current HTML

document to the Netscape Navigator and the Internet Explorer with a click of a

button.

Relative, absolute and no filepath options

Based on your choice in the preference dialog, all linked

HTML and image files are inserted with relative, absolute or no  filepaths.

When using relative paths, all linked files will be inserted with their relative path to the currently opened HTML file.

A neat multiple document interface

Spelling checker

The internal spelling checker is clever enough to handle extended characters. Dictionaries are available in American, French, German and Italian.

Supports external HTML help files

You can name your favorite HTML help file (e.g. the HTML Reference

Library available at Tucows) in the preference dialog and then access it by

hitting F2.

Tag Wizard

The tag wizard lets you create tags with their attributes very easily by double

clicking. Further the tag wizard shows you information if the tag/attribute is

supported by the Netscape Navigator or Internet Explorer.

Dockable button toolbar

The button toolbar holds buttons for the most important tags on multiple tabbed

pages.

‘Page properties’ button for fast HTML document foundation

The page properties button dialog helps you starting a new HTML file. You can choose the document title, background image, all font and background colors and can preview these settings at the same moment.

This lets you check the legibility of your text depending on the font color settings and your background image and color.

Edit existing tags

1-4-All lets you edit the following existing tags through the standard dialog windows: <TITLE>, <BODY>, <A HREF>, <A NAME>, <IMG>, <FONT>, <BASEFONT>, <FORM>

Image Preview

1-4-All lets you view either a thumbnail or full-scale image of gifs and jpegs.

This feature lets you quickly find the image filename you need, without having to start an external image viewer. The following image file formats are supported in addition to gif and jpeg: art, bmp, cut, dib, emf, gem, hrz, iff, img, lbm, mac, msp,

pcx, pic, png, ras, rle, tga, wmf, wpg

Predefined Javascripts

1-4-All comes with seven predefined javascripts, that can easily be inserted in your HTML files. Further you can add your own scripts and then paste them into your documents with a few clicks.

Text conversion

Lets you convert UNIX style to DOS style slashes and extended characters, like umlaut characters, to their HTML equivalents (and vice versa).

Further there is a option that converts extended characters to their HTML equivalents while you type them.

Documents can be exported to Unix, saved with Unix style line feeds.

Three different window layouts and word wrap option

The preference dialogs gives you the choice between working with or without

word wrap in the edit window.

Further you can set the edit window to three different sizes, to match your needs as closely as possible.

Previously used links and images

1-4-All remembers the last 20 links and last 20 images you used and lets you

access them again by right clicking. Further 1-4-All remembers all RGB color

values that you use and gives you easy access to them.

Smart table editor and frame wizard

The build in table editor and frame wizard make the creation of tables and frames

as easy as possible.

Automatic backup

1-4-All supports user defined auto-backup.

Automatic color coding

The color coding option makes it easy for you to distinguish HTML tags, text and comments at first glance.

Application Launcher

The build in Application Launcher lets you start other programs from within 1-4-All.

File dependency lister

This function shows you all files linked in the currently opened HTML file.

Multiple file search/replace

Lets you do searches and replaces in more than one file at a time.

15 configurable user buttons


Multiple file search and replace

With this tool you can search for and replace words in more than one file at a time.

To use it add the files you want to search to the filelist  at the top of the dialog window. To do this select the file in the file viewer on the left side of the window and click the add button.

Then type in your search word and if necessary the word it should be replaced with.

Depending on the action you want to perform, press the ‘Search’ or the ‘Replace’ button.

The info window on the lower right of the window will tell you about the number of hits/replaces in each file.


The file viewer. Use it to browse for the files you want to search/replace in.


Use this button to add the file selected  in the file viewer to the list of files to search/replace in.


Use this button to delete the file selected on the list of files to search/replace in from the list.


The list of files to search/replace in.


Type in the search word here.


Type in the word you want the search word to be replaced with here.


Click this button to start the search.


Click this button to start the replace.


Shows you the result of the search/replace.


Closes the Multiple Search/Replace Window.


The Frame Wizard

To use the Frame Wizard, click the Frame Wizard button, decide if you want to frame the HTML window in rows or columns and enter the number of rows/columns in each column/row. Then the main window will show up.

Select a frame on the left side of the window to change its size or its attributes. Then enter an URL for this frame.

When you are done with all frames, click the OK button. The frame code will be inserted in the current HTML document.

Please note that some attributes to the <FRAMESET> and the <FRAME> tag are Internet Explorer or Netscape Navigator specific. If you want people to view the frameset  the way you designed it, you shouldn't use these attributes.


The Table Editor

To use the Table Editor just enter the number of rows and columns and fill in the other table properties.

Then fill in the cells in the editor window on the left side.

Finally enter the properties for the individual cells using the cell properties page.

To assign a set of properties to all cells just click the ‘Use these values for all cells’ button.

Please note that some attributes to the <TABLE> and the <TD> tag are Internet Explorer specific. If you want people to view the table the way you designed it, you shouldn't use these attributes.


The file dependency lister

This tool lists all files that are linked from the currently opened HTML document.

You can specify if you want 1-4-All to list HTML files, image files and other files and you can limit the listing to local files only.


Lets you set which files should be listed.


Starts the listing of the linked files.


Shows the linked files in the currently opened HTML document.


Closes the window.


JavaScripts

Scrolling Status Bar:

This script lets you enter a text that will scroll in the status bar of the Web browser.

To use the script in your HTML document, just enter the text you want to scroll in the status bar, select a scrolling speed and click the OK button.

If the scrolling text shows up truncated in the Web browser, try to play with the POSITION value in the upper part of the script.

Ticker:

Adds a ticker at the current cursor position.

To use the script enter your ticker text lines in the appropriate field and set the width of the input box used as the ticker.

Marquee:

Adds a marquee, a textbox with scrolling text in it to your HTML document.

Autosroll:

This script has a very nice effect and is a totally different scrolling script.

Just make sure that the document you want to add this script to is of reasonable length, so that a vertical scrollbar is shown in the browser.

Fadein/fadeout:

This script will make your HTML page fade in/out, like it was possible with a previous version of Netscape.

Before using this script, please make your final decision for the background color of your HTML document and edit the BGCOLOR value accordingly.

To use the script just select the type of fade (fadein/fadeout/both), select a fading speed and a color from which to fade in or out and click the OK button.

Time/Date:

Adds a box with a running clock to your HTML document.

To use the script just position the cursor caret where you would like to insert the clock, click the button for this script and press OK in the dialog.

Slideshow:

This script adds a slideshow to your HTML document, similar to an animated gif.

Please note that all slides (images) have to be of the same size!

To use this script just select the images you would like to show in the slide show, choose a delay between the slides and press the 'OK' button.

Then you have to set the index value at the top of the script to the index of the image that should be the replaced during the slideshow. E.g. if you have 3 images before the slideshow image you have to set index to 3. If the slideshow image is the first image in the document, the index has to be set to 0.

var delay = 2000;

var imgs = new picarray;

 ->     	var index = 3;

      	var count = 2;

      	var i = 1;

Detour page:

This is a little tool, in fact not really a script, that quickly generates a detour page; unfortunately an often needed item.

Just fill in the new URL the user should be redirected to and click the 'OK' button.

Custom scripts:

You can easily add your own script to 1-4-All. Just click the 'New' button and enter a script name and the script in the upcoming dialog. The script will saved as a text file with the extension *.jsc in the 1-4-All program directory and can then be easily accessed by selecting it from the drop-down list.

(If you have a javascript you like and  that could be added as a predefined script in 1-4-All, please

contact me.)


Registering 1-4-All

Good idea! ;-)

1-4-All is distributed as shareware. Feel free to test this program during the 30-days evaluation period. If you would like to use 1-4-All afterwards, you have to register.

The registered version of 1-4-All removes the nag-screen on program startup.

Registration of the current beta version of 1-4-All includes all following version up to the final version 1.0 and, if necessary all following bug fixes.

Please note: I do not ship the program. On Registration you will receive a registration key that removes the limitations of the shareware version by either e-mail or postal mail.

Registration fees

Single user license for private users and educational institutions:	30 US$

Single user license for commercial users:	90 US$

(Commercial users and educational institutions who would like to get more than one user license,

please contact the author for further registration information on site licenses.)

How to register?

You will need either a CompuServe account or a major credit card to register.

Users located in Germany can also contact me for further information on direct bank transfers or payment with Eurocheques.

Online Registration via CompuServe or PsL

Offline registration via PsL

The latest information on registration are always available at:

http://ourworld.compuserve.com/homepages/minibbjd/register.htm

If you got any questions, don't hesitate to contact me.


Online Registration

CompuServe:

You can register online via CompuServe Network. You will receive your registration

key shortly after registration by e-mail.

-Private users and educational institutions:	GO SWREG ID#12566

-Commercial users:	GO SWREG ID#12567

PsL:

The Public software Library (PsL) has been recognized in lots of computer magazine as

having the largest, best organized, and most up-to-date shareware library. They are in

business since 1982 and since 1989 they offer Credit Card Registration Service for Visa,

Master Card, American Express and Discover credit cards.

You can access the online registration form directly from the 1-4-All Homepage at:

http://ourworld.compuserve.com/homepages/minibbjd/register.htm

If you got any questions, don't hesitate to contact me.


Offline Registration

PsL:

The Public software Library (PsL) has been recognized in lots of computer magazine as

having the largest, best organized, and most up-to-date shareware library. They are in

business since 1982 and since 1989 they offer Credit Card Registration for shareware

programs.

You can order with MC, Visa, Amex, or Discover from Public (software) Library by

-calling 800-2424-PsL or 713-524-6394  (please refer to item #14850)

-sending a FAX to 713-524-6398 (Use the orderform)

-sending CIS Email to 71355,470 (Use the orderform)

            (that is 71355.470@compuserve.com for Internet users)

You can also mail credit card orders to PsL at P.O. Box 35705, Houston, TX 77235-5705.

THE ABOVE NUMBERS ARE FOR CREDIT CARD ORDERS ONLY.

THE AUTHOR OF THIS PROGRAM CANNOT BE REACHED AT THESE NUMBERS.

Any questions about the status of the shipment of the order, refunds, registration options,

product details, technical support, volume discounts, dealer pricing, site licenses, non

credit card orders, etc., must be directed to minibbjd@cs.tu-berlin.de.

To insure that you get the registration key, PsL will notify me the day of your order and I

will send the key directly to you.

Keys are sent out by e-mail or for additional $2 by postal mail to your address.

Direct bank transfer for users located in Germany:

Users in Germany can contact me to get information on direct bank transfers.

This is a service for users located in Germany only.

If you got any questions, don't hesitate to contact me.


Order form for PsL

1-4-All HTML Editor (Item #14850)

I want to register the 1-4-All HTML Editor for Windows 95. I understand that I will receive a

registration key by either e-mail or postal mail that removes the limitations of the

shareware version.

First/Middle Name:  __________________________________

Last Name: 	 __________________________________

Company name:      __________________________________

Address: 	               ___________________________________

 	               ___________________________________

City: ___________________  State: _________________ 	Zip/Postal Code: ______________

Country: ____________________________

Your email address: __________________________________

CREDIT CARD INFO:

Credit card number: _____________________   Expiration date: _______

CREDIT CARD BILLING ADDRESS

(Complete any of the following which is different from above)

Name on the card:   __________________________________

Company name:      __________________________________

Address: 	               ___________________________________

 	               ___________________________________

City: ___________________  State: _________________ 	Zip/Postal Code: ______________

Country: ____________________________

I would like to order:

___	single user license(s) for private users, members of educational institutions and

no-profit organizations - $30 per license

___	single user license(s) for commercial users - $90 per license

Ο  I would like to get my registration key via e-mail.

Ο  I would like to get my registration key via postal mail for additional $2 S&H.

Date: ______________  Signature: ______________________________